org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface PatternLanguageFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    PatternLanguageFactoryImpl

      public interface PatternLanguageFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `PatternLanguagePackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PatternLanguageFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AggregatedValue` | `createAggregatedValue()` Returns a new object of class 'Aggregated Value'.
    `Annotation` | `createAnnotation()` Returns a new object of class 'Annotation'.
    `AnnotationParameter` | `createAnnotationParameter()` Returns a new object of class 'Annotation Parameter'.
    `BoolValue` | `createBoolValue()` Returns a new object of class 'Bool Value'.
    `CheckConstraint` | `createCheckConstraint()` Returns a new object of class 'Check Constraint'.
    `ClassType` | `createClassType()` Returns a new object of class 'Class Type'.
    `CompareConstraint` | `createCompareConstraint()` Returns a new object of class 'Compare Constraint'.
    `ComputationValue` | `createComputationValue()` Returns a new object of class 'Computation Value'.
    `Constraint` | `createConstraint()` Returns a new object of class 'Constraint'.
    `EClassifierConstraint` | `createEClassifierConstraint()` Returns a new object of class 'EClassifier Constraint'.
    `EntityType` | `createEntityType()` Returns a new object of class 'Entity Type'.
    `EnumValue` | `createEnumValue()` Returns a new object of class 'Enum Value'.
    `Expression` | `createExpression()` Returns a new object of class 'Expression'.
    `FunctionEvaluationValue` | `createFunctionEvaluationValue()` Returns a new object of class 'Function Evaluation Value'.
    `JavaConstantValue` | `createJavaConstantValue()` Returns a new object of class 'Java Constant Value'.
    `JavaType` | `createJavaType()` Returns a new object of class 'Java Type'.
    `ListValue` | `createListValue()` Returns a new object of class 'List Value'.
    `LiteralValueReference` | `createLiteralValueReference()` Returns a new object of class 'Literal Value Reference'.
    `LocalVariable` | `createLocalVariable()` Returns a new object of class 'Local Variable'.
    `Modifiers` | `createModifiers()` Returns a new object of class 'Modifiers'.
    `NumberValue` | `createNumberValue()` Returns a new object of class 'Number Value'.
    `PackageImport` | `createPackageImport()` Returns a new object of class 'Package Import'.
    `Parameter` | `createParameter()` Returns a new object of class 'Parameter'.
    `ParameterRef` | `createParameterRef()` Returns a new object of class 'Parameter Ref'.
    `PathExpressionConstraint` | `createPathExpressionConstraint()` Returns a new object of class 'Path Expression Constraint'.
    `Pattern` | `createPattern()` Returns a new object of class 'Pattern'.
    `PatternBody` | `createPatternBody()` Returns a new object of class 'Pattern Body'.
    `PatternCall` | `createPatternCall()` Returns a new object of class 'Pattern Call'.
    `PatternCompositionConstraint` | `createPatternCompositionConstraint()` Returns a new object of class 'Pattern Composition Constraint'.
    `PatternImport` | `createPatternImport()` Returns a new object of class 'Pattern Import'.
    `PatternModel` | `createPatternModel()` Returns a new object of class 'Pattern Model'.
    `ReferenceType` | `createReferenceType()` Returns a new object of class 'Reference Type'.
    `RelationType` | `createRelationType()` Returns a new object of class 'Relation Type'.
    `StringValue` | `createStringValue()` Returns a new object of class 'String Value'.
    `Type` | `createType()` Returns a new object of class 'Type'.
    `TypeCheckConstraint` | `createTypeCheckConstraint()` Returns a new object of class 'Type Check Constraint'.
    `ValueReference` | `createValueReference()` Returns a new object of class 'Value Reference'.
    `Variable` | `createVariable()` Returns a new object of class 'Variable'.
    `VariableReference` | `createVariableReference()` Returns a new object of class 'Variable Reference'.
    `VQLImportSection` | `createVQLImportSection()` Returns a new object of class 'VQL Import Section'.
    `PatternLanguagePackage` | `getPatternLanguagePackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final PatternLanguageFactory eINSTANCE

      The singleton instance of the factory.
      Generated:

  - ### Method Detail

    - #### createVQLImportSection

          VQLImportSection createVQLImportSection()

      Returns a new object of class 'VQL Import Section'.
      Returns:
        a new object of class 'VQL Import Section'.
      Generated:

    - #### createPackageImport

          PackageImport createPackageImport()

      Returns a new object of class 'Package Import'.
      Returns:
        a new object of class 'Package Import'.
      Generated:

    - #### createPatternImport

          PatternImport createPatternImport()

      Returns a new object of class 'Pattern Import'.
      Returns:
        a new object of class 'Pattern Import'.
      Generated:

    - #### createEClassifierConstraint

          EClassifierConstraint createEClassifierConstraint()

      Returns a new object of class 'EClassifier Constraint'.
      Returns:
        a new object of class 'EClassifier Constraint'.
      Generated:

    - #### createEnumValue

          EnumValue createEnumValue()

      Returns a new object of class 'Enum Value'.
      Returns:
        a new object of class 'Enum Value'.
      Generated:

    - #### createPatternModel

          PatternModel createPatternModel()

      Returns a new object of class 'Pattern Model'.
      Returns:
        a new object of class 'Pattern Model'.
      Generated:

    - #### createClassType

          ClassType createClassType()

      Returns a new object of class 'Class Type'.
      Returns:
        a new object of class 'Class Type'.
      Generated:

    - #### createReferenceType

          ReferenceType createReferenceType()

      Returns a new object of class 'Reference Type'.
      Returns:
        a new object of class 'Reference Type'.
      Generated:

    - #### createPattern

          Pattern createPattern()

      Returns a new object of class 'Pattern'.
      Returns:
        a new object of class 'Pattern'.
      Generated:

    - #### createAnnotation

          Annotation createAnnotation()

      Returns a new object of class 'Annotation'.
      Returns:
        a new object of class 'Annotation'.
      Generated:

    - #### createAnnotationParameter

          AnnotationParameter createAnnotationParameter()

      Returns a new object of class 'Annotation Parameter'.
      Returns:
        a new object of class 'Annotation Parameter'.
      Generated:

    - #### createModifiers

          Modifiers createModifiers()

      Returns a new object of class 'Modifiers'.
      Returns:
        a new object of class 'Modifiers'.
      Generated:

    - #### createExpression

          Expression createExpression()

      Returns a new object of class 'Expression'.
      Returns:
        a new object of class 'Expression'.
      Generated:

    - #### createVariable

          Variable createVariable()

      Returns a new object of class 'Variable'.
      Returns:
        a new object of class 'Variable'.
      Generated:

    - #### createVariableReference

          VariableReference createVariableReference()

      Returns a new object of class 'Variable Reference'.
      Returns:
        a new object of class 'Variable Reference'.
      Generated:

    - #### createType

          Type createType()

      Returns a new object of class 'Type'.
      Returns:
        a new object of class 'Type'.
      Generated:

    - #### createEntityType

          EntityType createEntityType()

      Returns a new object of class 'Entity Type'.
      Returns:
        a new object of class 'Entity Type'.
      Generated:

    - #### createPatternBody

          PatternBody createPatternBody()

      Returns a new object of class 'Pattern Body'.
      Returns:
        a new object of class 'Pattern Body'.
      Generated:

    - #### createConstraint

          Constraint createConstraint()

      Returns a new object of class 'Constraint'.
      Returns:
        a new object of class 'Constraint'.
      Generated:

    - #### createPatternCall

          PatternCall createPatternCall()

      Returns a new object of class 'Pattern Call'.
      Returns:
        a new object of class 'Pattern Call'.
      Generated:

    - #### createValueReference

          ValueReference createValueReference()

      Returns a new object of class 'Value Reference'.
      Returns:
        a new object of class 'Value Reference'.
      Generated:

    - #### createLiteralValueReference

          LiteralValueReference createLiteralValueReference()

      Returns a new object of class 'Literal Value Reference'.
      Returns:
        a new object of class 'Literal Value Reference'.
      Generated:

    - #### createComputationValue

          ComputationValue createComputationValue()

      Returns a new object of class 'Computation Value'.
      Returns:
        a new object of class 'Computation Value'.
      Generated:

    - #### createParameterRef

          ParameterRef createParameterRef()

      Returns a new object of class 'Parameter Ref'.
      Returns:
        a new object of class 'Parameter Ref'.
      Generated:

    - #### createParameter

          Parameter createParameter()

      Returns a new object of class 'Parameter'.
      Returns:
        a new object of class 'Parameter'.
      Generated:

    - #### createLocalVariable

          LocalVariable createLocalVariable()

      Returns a new object of class 'Local Variable'.
      Returns:
        a new object of class 'Local Variable'.
      Generated:

    - #### createJavaType

          JavaType createJavaType()

      Returns a new object of class 'Java Type'.
      Returns:
        a new object of class 'Java Type'.
      Generated:

    - #### createRelationType

          RelationType createRelationType()

      Returns a new object of class 'Relation Type'.
      Returns:
        a new object of class 'Relation Type'.
      Generated:

    - #### createTypeCheckConstraint

          TypeCheckConstraint createTypeCheckConstraint()

      Returns a new object of class 'Type Check Constraint'.
      Returns:
        a new object of class 'Type Check Constraint'.
      Generated:

    - #### createPatternCompositionConstraint

          PatternCompositionConstraint createPatternCompositionConstraint()

      Returns a new object of class 'Pattern Composition Constraint'.
      Returns:
        a new object of class 'Pattern Composition Constraint'.
      Generated:

    - #### createCompareConstraint

          CompareConstraint createCompareConstraint()

      Returns a new object of class 'Compare Constraint'.
      Returns:
        a new object of class 'Compare Constraint'.
      Generated:

    - #### createCheckConstraint

          CheckConstraint createCheckConstraint()

      Returns a new object of class 'Check Constraint'.
      Returns:
        a new object of class 'Check Constraint'.
      Generated:

    - #### createPathExpressionConstraint

          PathExpressionConstraint createPathExpressionConstraint()

      Returns a new object of class 'Path Expression Constraint'.
      Returns:
        a new object of class 'Path Expression Constraint'.
      Generated:

    - #### createStringValue

          StringValue createStringValue()

      Returns a new object of class 'String Value'.
      Returns:
        a new object of class 'String Value'.
      Generated:

    - #### createNumberValue

          NumberValue createNumberValue()

      Returns a new object of class 'Number Value'.
      Returns:
        a new object of class 'Number Value'.
      Generated:

    - #### createBoolValue

          BoolValue createBoolValue()

      Returns a new object of class 'Bool Value'.
      Returns:
        a new object of class 'Bool Value'.
      Generated:

    - #### createListValue

          ListValue createListValue()

      Returns a new object of class 'List Value'.
      Returns:
        a new object of class 'List Value'.
      Generated:

    - #### createFunctionEvaluationValue

          FunctionEvaluationValue createFunctionEvaluationValue()

      Returns a new object of class 'Function Evaluation Value'.
      Returns:
        a new object of class 'Function Evaluation Value'.
      Generated:

    - #### createAggregatedValue

          AggregatedValue createAggregatedValue()

      Returns a new object of class 'Aggregated Value'.
      Returns:
        a new object of class 'Aggregated Value'.
      Generated:

    - #### createJavaConstantValue

          JavaConstantValue createJavaConstantValue()

      Returns a new object of class 'Java Constant Value'.
      Returns:
        a new object of class 'Java Constant Value'.
      Generated:

    - #### getPatternLanguagePackage

          PatternLanguagePackage getPatternLanguagePackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated: